package com.webchat.domain.vo.response.lottery;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LotteryDrawBulkResponseVO extends LotteryDrawBaseResponseVO {

    /**
     * 批量抽奖结果
     */
    private List<Long> itemIdList;

    public static LotteryDrawBulkResponseVO of(BigDecimal walletBalance, List<Long> itemIdList) {
        LotteryDrawBulkResponseVO lotteryDrawBulkResponseVO = new LotteryDrawBulkResponseVO(itemIdList);
        lotteryDrawBulkResponseVO.setWalletBalance(walletBalance);
        return lotteryDrawBulkResponseVO;
    }
}
